Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.writer
Class WriteChartItem

    java.lang.Object
      org.maltparser.core.flow.item.ChartItem
          org.maltparser.core.syntaxgraph.writer.WriteChartItem

    public class WriteChartItem

extends ChartItem

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.core.flow.item.ChartItem
`chartItemSpecification, CONTINUE, flowChartinstance, NEWITERATION, TERMINATE`

Constructor Summary
`WriteChartItem()`

Method Summary
`boolean` | `equals(Object obj)`
`Class<? extends SyntaxGraphWriter>` | `getGraphWriterClass()`
`String` | `getNullValueStrategy()`
`String` | `getOutputCharSet()`
`DataFormatInstance` | `getOutputDataFormatInstance()`
`String` | `getOutputFileName()`
`String` | `getOutputFormatName()`
`String` | `getSourceName()`
`Class<? extends SyntaxGraphWriter>` | `getSyntaxGraphWriterClass()`
`SyntaxGraphWriter` | `getWriter()`
`String` | `getWriterOptions()`
`int` | `hashCode()`
`void` | `initialize(FlowChartInstance flowChartinstance, ChartItemSpecification chartItemSpecification)` Initialize the chart item
`void` | `initOutput(String nullValueStategy)`
`void` | `initWriter(Class<? extends SyntaxGraphWriter> syntaxGraphWriterClass, String outputFile, String outputCharSet, String writerOption)`
`int` | `postprocess(int signal)` Cause the chart item to perform the postprocess tasks
`int` | `preprocess(int signal)` Cause the chart item to perform the preprocess tasks
`int` | `process(int signal)` Cause the chart item to perform the process task (for every sentence)
`void` | `setNullValueStrategy(String nullValueStrategy)`
`void` | `setOutputCharSet(String outputCharSet)`
`void` | `setOutputFileName(String outputFileName)`
`void` | `setOutputFormatName(String outputFormatName)`
`void` | `setSyntaxGraphWriterClass(Class<?> graphWriterClass)`
`void` | `setWriterOptions(String writerOptions)`
`void` | `terminate()` Terminates and cleans up the chart item
`String` | `toString()`

Methods inherited from class org.maltparser.core.flow.item.ChartItem
`getChartElement, getChartItemSpecification, getFlowChartInstance, getOptionContainerIndex, setChartItemSpecification, setFlowChartInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriteChartItem

    public WriteChartItem()

Method Detail

### initialize

    public void initialize(FlowChartInstance flowChartinstance,
                           ChartItemSpecification chartItemSpecification)
                    throws MaltChainedException

  Description copied from class: `ChartItem`
  Initialize the chart item

  Overrides:
    `initialize` in class `ChartItem`
  Parameters:
    `flowChartinstance` - the flow chart instance that the chart item belongs to
    `chartItemSpecification` - a specification of the chart item
  Throws:
    `MaltChainedException`

### preprocess

    public int preprocess(int signal)
                   throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the preprocess tasks

  Specified by:
    `preprocess` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### process

    public int process(int signal)
                throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the process task (for every sentence)

  Specified by:
    `process` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if it is ready to perform the next sentence, otherwise false
  Throws:
    `MaltChainedException`

### postprocess

    public int postprocess(int signal)
                    throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the postprocess tasks

  Specified by:
    `postprocess` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Description copied from class: `ChartItem`
  Terminates and cleans up the chart item

  Specified by:
    `terminate` in class `ChartItem`
  Throws:
    `MaltChainedException`

### getOutputFormatName

    public String getOutputFormatName()

### setOutputFormatName

    public void setOutputFormatName(String outputFormatName)

### getOutputFileName

    public String getOutputFileName()

### setOutputFileName

    public void setOutputFileName(String outputFileName)

### getOutputCharSet

    public String getOutputCharSet()

### setOutputCharSet

    public void setOutputCharSet(String outputCharSet)

### getWriterOptions

    public String getWriterOptions()

### setWriterOptions

    public void setWriterOptions(String writerOptions)

### getSyntaxGraphWriterClass

    public Class<? extends SyntaxGraphWriter> getSyntaxGraphWriterClass()

### setSyntaxGraphWriterClass

    public void setSyntaxGraphWriterClass(Class<?> graphWriterClass)
                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getNullValueStrategy

    public String getNullValueStrategy()

### setNullValueStrategy

    public void setNullValueStrategy(String nullValueStrategy)

### initOutput

    public void initOutput(String nullValueStategy)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### initWriter

    public void initWriter(Class<? extends SyntaxGraphWriter> syntaxGraphWriterClass,
                           String outputFile,
                           String outputCharSet,
                           String writerOption)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### getGraphWriterClass

    public Class<? extends SyntaxGraphWriter> getGraphWriterClass()

### getWriter

    public SyntaxGraphWriter getWriter()

### getSourceName

    public String getSourceName()

### getOutputDataFormatInstance

    public DataFormatInstance getOutputDataFormatInstance()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.